[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#140183: aspell does install or depend on any languages

On Fri, Mar 29, 2002 at 05:10:55PM -0500, Anthony DeRobertis wrote:
> On Fri, 2002-03-29 at 07:18, Domenico Andreoli wrote:
> > anyway Depends breaks even more because dictionary packages already
> > depend on libaspell10, making libaspell10 depending on any dictionary
> > makes a loop in dependencies. please look at bugs #126594, #131290 and
> > aspell changelog.
> Quite unfortunate that dependencies only are for configuration, not to
> force alongside installation. 

The submitter of bug #131290 is mistaken: dependency loops are not a
bug. People using dpkg directly should know that they need to give dpkg
both packages on the same command line when there's a dependency loop.
There is some mild confusion about which postinst gets run first in the
case of a dependency loop, but dpkg will generally do something

Dependency loops may not be particularly elegant, but in cases where
they're the best possible alternative I don't think package maintainers
should shy away from using them.

Colin Watson                                  [cjwatson@flatline.org.uk]

To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: